\documentclass[a4paper,10pt]{article}

\begin{document}

\title{\textbf{Services}}
\author{Pawel Dziepak}
\date{\textit{June 05, 2008}}
\maketitle

\section{Introduction}
\paragraph{}Manes, when running, needs to do a lot of different things. As a core of the
kernel, its task is to control almost everything. To make organisation of the
code easier, there were created things such as services.

\paragraph{}Their task is to provide elemental functions for Manes. Good choosen set of
services will effect with better performance and functionallity. The difference
between modules and services is that the last ones are statically compiled
with the Manes and do not need as advanced runtime environment as modules. It
means that Manes can use them to manage modules and the whole system.

\section{Services manager}
\paragraph{}There is a service manager which provides an easy to use interface which help
Manes to manage services. It creates services, stores them and give back to
Manes when it need them. Everything is connected with the dynamic types control.

\paragraph{}In general there can be only one service of specific type registered (cases
such as \texttt{early\_logger} and \texttt{tty\_logger} counts as two different types). If Manes
registers another service of the same type, service manager always will give
back the first one.

\end{document}
